For the complete documentation index, see llms.txt. Markdown versions of the documentation pages are available from that index.
solscan logo
Register NowRegister Now

listing pool/market

get

https://pro-api-dev.solscan.io/v2.0/market/list

Get the list of pool markets

QUERY PARAMS

page

number

Page number for pagination

page_size

number

Number of items per page

program

string

Program owner address

token_address

string

Token address involving

sort_by

string

Field to sort by

sort_order

string

Sort order

RESPONSES

200

OK

Response Body (application/json)

success

boolean

Request status

pool_address

string

Address of pool market

program_id

string

Program owner of pool market

token1

string

Address of token 1

token1_account

string

Token account of token 1

token2

string

Address of token 2

token2_account

string

Token account of token 2

created_time

number

Unix timestamp (seconds) of token creation

total_trade_24h

number

Total trades in 24h

total_volume_24h

number

Total volume in 24h

400

Bad Request

Response Body (application/json)

401

Authentication failed

Response Body (application/json)

429

Too Many Requests

Response Body (application/json)

500

Internal Server Error

Response Body (application/json)

icon

Javascript

icon

Python

icon

Shell

icon

Go

icon

C#

Authorization

Response

Click Try It! to start a request and see the response here!

Response Examples